Subject: Re: label in enddo

From: Zheng Gengbin <[email-masked]>
Date: Fri, 20 Dec 1996 10:59:53 +0800 (EAT)

On Thu, 19 Dec 1996, Guansong Zhang wrote:

> Hi,
> 
> Compare the following program you will find label 50 can not be unparsed, I
> checked it and it turn out to be that the label is on control-end instead of
> enddo-statement.
> 
> I remember the enddo-statement was added to fix the labeled do problem, (So
> unparse will ignore the control-end in do construct. I was told to do so at
> that time.) but now I don't know if this definition is good to solve all
> problem. Please check this, we need somekind of adjustment.
> 

	I have modified this in an easy way . This time the label is carried
both in ENDDO_STMT and CONTROL_END statement.

> 
> ++++++++++++++++++++++++++++++++++++++
>         PROGRAM MAIN
>         REAL A(100), X
> 20      DO I=1, 100
> 30        X=X+1
> 40        A(I)=X+1
> 50      ENDDO
>         END
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>       program MAIN
>       real :: A(100),X
> 20      do  I=1,100
> 30         X = X+1
> 40         A(I) = X+1
>       enddo
> 
>       end program
> 
> 
> ======================================
> 

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************